<?php

namespace CleverReach\WooCommerce\Components\Services\BusinessLogic\Usersnap\Contracts;

interface Usersnap_Service_Interface {

	const CLASS_NAME = __CLASS__;

	/**
	 * Returns Usersnap context metadata.
	 *
	 * @return array
	 */
	public function get_context();

	/**
	 * Returns load key.
	 *
	 * @return string
	 */
	public function get_key();
}
